Bug 247467 - Review Request: isabella-coq - An AGI adventure game
Review Request: isabella-coq - An AGI adventure game
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-09 10:47 EDT by Gwyn Ciesla
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 08:02:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2007-07-09 10:47:18 EDT
Spec URL: http://zanoni.jcomserv.net/fedora/isabella-coq/isabella-coq.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/isabella-coq/isabella-coq-0.1-1.fc7.src.rpm
Description: 
This day is the father's day and Isabella Coq must find a present to
give to his father Coco. To complete this game, she must meet her friends
and buy some things at the downtown. The most present is worth, the more
points you get.
Comment 1 Jason Tibbitts 2007-07-11 00:35:27 EDT
These are getting pretty routine now.  The only question I have is where the 0.1
version comes from; I couldn't find any mention of a version upstream.

I installed this and perhaps I'm dense but I couldn't figure out how to select
the language at the beginning.  It seems to me that the mouse is supposed to
work but for me, at least, it doesn't.  Is there something special I need to do
in order to enable mouse support in nagi?

* source files manually compared with upstream.
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is acceptable for content.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   isabella-coq = 0.1-1.fc8
  =
   /bin/bash
   /bin/sh
   hicolor-icon-theme
   nagi
* %check is not present; no upstream test suite.
? Manual testing was not terribly successful.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* acceptable content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Gwyn Ciesla 2007-07-11 08:02:50 EDT
Whoops.  Good catch, one i should have made.  This one requires AGIMouse, which
I can't find.  So do a few others I haven't submitted, and now won't.  I thought
there was a keyboard workaround, but there isn't.

Withdrawn.
Comment 3 Jason Tibbitts 2007-07-11 11:45:26 EDT
Looking through /etc/nagi it looks like it supports mouse input but needs to be
enabled somehow.  Perhaps with some experimentation you could get it working.

Note You need to log in before you can comment on or make changes to this bug.